com.google.gwt.user.client.ui

## Interface HasHorizontalAlignment

- All Known Subinterfaces:
    HasAlignment, HasAutoHorizontalAlignment
  All Known Implementing Classes:
    Anchor, Column, DateLabel, DialogBox.CaptionImpl, DockPanel, HorizontalPanel, HTML, IdentityColumn, InlineHTML, InlineLabel, Label, LabelBase, NumberLabel, TextColumn, ValueLabel, VerticalPanel

      public interface HasHorizontalAlignment

  Characteristic interface which indicates that a widget can be aligned horizontally.

  ### Use in UiBinder Templates

  The names of the static members of `HasHorizontalAlignment.HorizontalAlignmentConstant`, as well as simple alignment names (`left`, `center`, `right`, `justify`), can be used as values for a `horizontalAlignment` attribute of any widget that implements this interface. (In fact, this will work for any widget method that takes a single HorizontalAlignmentConstant value.)

  For example,

       <g:Label horizontalAlignment='ALIGN_RIGHT'>Hi there.</g:Label>
       <g:Label horizontalAlignment='right'>Hi there.</g:Label>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `HasHorizontalAlignment.AutoHorizontalAlignmentConstant` Type for values defined and used in `HasAutoHorizontalAlignment`.
    `static class` | `HasHorizontalAlignment.HorizontalAlignmentConstant` Possible return values for `getHorizontalAlignment()`, and parameter values for `setHorizontalAlignment(com.google.gwt.user.client.ui.HasHorizontalAlignment.HorizontalAlignmentConstant)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HasHorizontalAlignment.HorizontalAlignmentConstant` | `ALIGN_CENTER` Specifies that the widget's contents should be aligned in the center.
    `static HasHorizontalAlignment.HorizontalAlignmentConstant` | `ALIGN_DEFAULT` Synonym of `ALIGN_LOCALE_START`.
    `static HasHorizontalAlignment.HorizontalAlignmentConstant` | `ALIGN_JUSTIFY` Specifies that the widget's contents should be aligned as justify.
    `static HasHorizontalAlignment.HorizontalAlignmentConstant` | `ALIGN_LEFT` Specifies that the widget's contents should be aligned to the left.
    `static HasHorizontalAlignment.HorizontalAlignmentConstant` | `ALIGN_LOCALE_END` In a RTL layout, specifies that the widget's contents should be aligned to the left.
    `static HasHorizontalAlignment.HorizontalAlignmentConstant` | `ALIGN_LOCALE_START` In a RTL layout, specifies that the widget's contents should be aligned to the right.
    `static HasHorizontalAlignment.HorizontalAlignmentConstant` | `ALIGN_RIGHT` Specifies that the widget's contents should be aligned to the right.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HasHorizontalAlignment.HorizontalAlignmentConstant` | `getHorizontalAlignment()` Gets the horizontal alignment.
    `void` | `setHorizontalAlignment(HasHorizontalAlignment.HorizontalAlignmentConstant align)` Sets the horizontal alignment.

- - ### Field Detail

    - #### ALIGN_CENTER

          static final HasHorizontalAlignment.HorizontalAlignmentConstant ALIGN_CENTER

      Specifies that the widget's contents should be aligned in the center.

    - #### ALIGN_JUSTIFY

          static final HasHorizontalAlignment.HorizontalAlignmentConstant ALIGN_JUSTIFY

      Specifies that the widget's contents should be aligned as justify.

    - #### ALIGN_LEFT

          static final HasHorizontalAlignment.HorizontalAlignmentConstant ALIGN_LEFT

      Specifies that the widget's contents should be aligned to the left.

    - #### ALIGN_RIGHT

          static final HasHorizontalAlignment.HorizontalAlignmentConstant ALIGN_RIGHT

      Specifies that the widget's contents should be aligned to the right.

    - #### ALIGN_LOCALE_START

          static final HasHorizontalAlignment.HorizontalAlignmentConstant ALIGN_LOCALE_START

      In a RTL layout, specifies that the widget's contents should be aligned to the right. In a LTR layout, specifies that the widget's constants should be aligned to the left.

    - #### ALIGN_LOCALE_END

          static final HasHorizontalAlignment.HorizontalAlignmentConstant ALIGN_LOCALE_END

      In a RTL layout, specifies that the widget's contents should be aligned to the left. In a LTR layout, specifies that the widget's constants should be aligned to the right.

    - #### ALIGN_DEFAULT

          static final HasHorizontalAlignment.HorizontalAlignmentConstant ALIGN_DEFAULT

      Synonym of `ALIGN_LOCALE_START`.

  - ### Method Detail

    - #### getHorizontalAlignment

          HasHorizontalAlignment.HorizontalAlignmentConstant getHorizontalAlignment()

      Gets the horizontal alignment.
      Returns:
        the current horizontal alignment ( `ALIGN_LEFT`, `ALIGN_CENTER`, `ALIGN_RIGHT`, `ALIGN_JUSTIFY`, or null).

    - #### setHorizontalAlignment

          void setHorizontalAlignment(HasHorizontalAlignment.HorizontalAlignmentConstant align)

      Sets the horizontal alignment.

      Use `null` to clear horizontal alignment, allowing it to be determined by the standard HTML mechanisms such as inheritance and CSS rules.

      Parameters:
        `align` - the horizontal alignment ( `ALIGN_LEFT`, `ALIGN_CENTER`, `ALIGN_RIGHT`, `ALIGN_JUSTIFY`, `ALIGN_LOCALE_START`, or `ALIGN_LOCALE_END`).